function [FIG,battANALOG,ATTIVA] = report_LL_ENG(rLL,m,NodoLoadLink,toolrif,...
    unitrif,datarif,contunit,Font_caption,Font_tools,siteID,DT,FIG,br,...
    colonna4,status,ATTIVA,battANALOG,conn,FileName)

import mlreportgen.dom.*
import mlreportgen.report.*

% Make sure DOM is compilable
makeDOMCompilable()

if status(m,1) == 1
    if strcmp(char(colonna4(m+1,1)),'Analog Array') == 1 % cella Analog Link
        if ATTIVA == 1
    testo = Paragraph('GMUX not installed or inactive.');
            ATTIVA = 0;
        end
    else
        if ATTIVA == 1
    testo = Paragraph('Array not installed or inactive.');
            ATTIVA = 0;
        end
    end
    add(DT,testo);
elseif status(m,1) == 3
    if ATTIVA == 1
    testo = Paragraph(['Monitoring completed. Please log into the web-based platoform '...
        'to access the complete dataset.']);
        ATTIVA = 0;
        add(DT,testo);
    end
else
     if strcmp(char(colonna4(m+1,1)),'Analog Array') == 1 % cella Analog Link
        if battANALOG == 0
            comando = ['select Date, Time, UnitName, ToolNameID, BatLevel, Temperature from RawDataView where Date >= ''' ...
                datarif ''' and UnitName = ''' char(unitrif) ''' and ToolNameID = '''...
                char(toolrif) ''' and NodeNum = 1 '];
            curs = exec(conn,comando);
            curs = fetch(curs);
            BatTemp = curs.Data;
            [~,cc] = size(BatTemp);
            if cc ~= 1 %ci sono dati riferiti all'ultimo mese/periodo di interesse
                DataPlot = [BatTemp(:,1) BatTemp(:,2)];
                % sistemo date, batteria e temperatura
                [rD,~] = size(DataPlot);
                T = [cell2mat(DataPlot(:,1)) repmat(' ', [rD,1]) cell2mat(DataPlot(:,2))];
                Date = datenum(T);
                Batteria = cell2mat(BatTemp(:,5));
                Temperatura = cell2mat(BatTemp(:,6));
                
                % testo introduttivo
            testoB1 = Paragraph(['The following chart reports the battery level trend recorded during the reference time period. '...
                'The correct functioning of the GMUX module is guaranteed for a minimum level of 12 V. The last '...
                'available data is equal to ' num2str(Batteria(end,1)) ' V.']);
            testoB2 = Paragraph(['The GMUX module equips also a thermometer that allows the monitoring of the working '...
                'temperature and the identification of eventual malfunctioning. The following chart reports temperature '...
                'data recorded by the GMUX module.']);
                testoB1.HAlign = 'justify';
                testoB2.HAlign = 'justify';
                
                % grafico batteria
                figure(19)
                plot(Date,Batteria);
                hold on
            title('Battery level and GMUX temperature');
            xlabel('Date [dd/mm/yyyy]');
            ylabel('Level [V]');
                ylim([floor(min(Batteria(:,1))) ceil(max(Batteria(:,1)))]);
                
                yyaxis right
                GMUX = plot(Date,Temperatura,':','LineWidth',1.1);
                ylim([floor(min(Temperatura(:,1))) ceil(max(Temperatura(:,1)))]);
                ylabel(['Temperature [' char(176) 'C]']);
                set(gca,'YColor','k');
                str(1,1) = cellstr('Battery');
                str(2,1) = cellstr('Temperature');
                legend(str,'Location','northwest');
                h = gca;
                h.XAxis.MinorTick = 'on';
                datetick('x','dd/mm/yyyy','keepticks','keeplimits');
                xtickangle(20);
                grid on
                grid minor
                xlim([Date(1)-1 Date(end)+1]);
                
                TempName = char(strcat('Report',siteID,'-', contunit,'-GMUX_ENG.png'));
                saveas(GMUX,TempName);
                ChartGMUX = Image(TempName);
                ChartGMUX.Style = {Height('8cm'),HAlign('center')};
                if Batteria(end,1) >= 13
                    TempName = char(strcat('B_13.jpg'));
                elseif Batteria(end,1) >= 12
                    TempName = char(strcat('B_12.jpg'));
                elseif Batteria(end,1) >= 11
                    TempName = char(strcat('B_11.jpg'));
                else
                    TempName = char(strcat('B_10.jpg'));
                end
                Batt = Image(TempName);
                Batt.Style = {Height('4cm'),HAlign('center')};
                
                lot = Table({ChartGMUX, Batt});
                lot.TableEntriesStyle = {HAlign('center'),VAlign('middle')};
                lot.Style = {ResizeToFitContents(false),Width("100%")};
                grps(1) = TableColSpecGroup;
                grps(1).Span = 2;
                specs(1) = TableColSpec;
                specs(1).Span = 1;
                specs(1).Style = {Width("80%")};
                specs(2) = TableColSpec;
                specs(2).Span = 1;
                specs(2).Style = {Width("20%")};
                grps(1).ColSpecs = specs;
                lot.ColSpecGroups = grps;
           lot_cap = Paragraph(['Fig. ' num2str(FIG) ' - Battery level and GMUX temperature recorded '...
                'during the reference time period']);
                FIG = FIG+1;
                lot_cap.Style = {HAlign('center'),FontSize(Font_caption),Italic(1),Color('midnightblue')};
                FIG = FIG+1;
                Chart_cap.Style = {HAlign('center'),FontSize(Font_caption),Italic(1),Color('midnightblue')};
                Batt = Section();
            sezBATT = Paragraph('GMUX - Battery level and temperature');
                sezBATT.Style = {FontSize(Font_tools),Bold(1),Italic(1)};
                Batt.Title = sezBATT;
                add(DT,sezBATT);
                add(DT,testoB1);
                add(DT,testoB2);
                add(DT,lot);
                add(DT,lot_cap);
                add(DT,br);
                close(figure(19));
                battANALOG = 1;
            end
        end
     end
     
     sezLL = Heading3('Load Link');
     sezLL.Style = {FontSize(Font_tools),Bold(1),Italic(1)};
     LL = Section();
     LL.Title = sezLL;
     add(DT,sezLL);
     
     for ld = 1:rLL(m,1)
         NodeNum = num2str(NodoLoadLink(ld,m));
         comando = ['select EventDate, EventTime, load_value from ElabDataView where EventDate >= ''' ...
             datarif ''' and  ToolNameID = ''' char(toolrif) ''' and UnitName = ''' char(unitrif) ...
             ''' and NodeNum = ''' NodeNum ''' '];
         curs = exec(conn,comando);
         curs = fetch(curs);
         Dati = curs.Data;
         % Modifico il formato di data e ora
         [rD,rC] = size(Dati);
         if rC ~= 1
             T = [cell2mat(Dati(:,1)) repmat(' ', [rD,1]) cell2mat(Dati(:,2))];
             Date = datenum(T); % Data
             carico = cell2mat(Dati(:,3)); % carico cella
             var_carico = carico-carico(1); % variazione carico
             
             % grafico carico
             figure(5);
             load = plot(Date,var_carico);
             title(['Load variation - node ' NodeNum '']);
            xlabel('Date [dd/mm/yyyy]');
             ylabel('Load variation [kN]');
             if strcmp(char(colonna4(m+1,1)),'Analog Array') == 1 % cella Analog Link
                 if max(var_carico) < 15 && min(var_carico) > -15
                     ylim([-15 15]);
                 elseif max(var_carico) > 15 && min(var_carico) > -15
                     ylim([-15 inf+1]);
                elseif max(var_carico) < 15 && min(var_carico) < -15
                    ylim([-inf-1 15]);
                end
            else % cella RSN
                if max(var_carico) < 10 && min(var_carico) > -10
                    ylim([-10 10]);
                elseif max(var_carico) > 10 && min(var_carico) > -10
                    ylim([-10 inf+1]);
                elseif max(var_carico) < 20 && min(var_carico) < -10
                    ylim([-inf-1 10]);
                end
            end
            h = gca;
            h.XAxis.MinorTick = 'on';
            datetick('x','dd/mm/yyyy','keepticks','keeplimits');
            xtickangle(20);
            grid on
            grid minor
            
            hold off
            
            TempName = char(strcat('Report',siteID,'-', char(toolrif),'-CellaCarico', NodeNum, '_ENG.png'));
            saveas(load,TempName);
            ChartLL = Image(TempName);
            ChartLL.Style = {Height('7.3cm'),HAlign('center')};
            ChartLL_cap = Paragraph(['Fig. ' num2str(FIG) ' - Load variation '...
                'recorded by the load sensor ' NodeNum...
                ', during the reference time period']);
            FIG = FIG+1;
            ChartLL_cap.Style = {HAlign('center'),FontSize(Font_caption),Italic(1),Color('midnightblue')};
            
			testo = Paragraph(['The following graph reports load variation data measured by load sensors'...
                'composing the Analog Array (values in kN).']);
            testo2 = Paragraph(['During the reference time period, the node ' NodeNum ...
                ' recorded a maximum load variation of '...
                num2str(round(max(abs(var_carico)),2), '%0.2f') ' kN, while the maximum value referred '...
                'to the absolute load amounts to ' num2str(round(max(carico),2), '%0.2f') ' kN.' ]);
			
            testo.HAlign = 'justify';
            testo2.HAlign = 'justify';
            if ld == 1
                add(DT,testo);
            end
            add(DT,testo2);
            add(DT,ChartLL);
            add(DT,ChartLL_cap);
            if ld == rLL(m,1)
                add(DT,br);
            end
            close(figure(5));
            % pulisco variabili da riutilizzare per catena successiva
            clear carico;
            clear var_carico;
        else
            if ATTIVA == 1
            testo = Paragraph('No data available for the reference time period.');
                ATTIVA = 0;
                add(DT,testo);
                add(DT,br);
            end
        end
    end
end

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'report_LL_ENG function executed correctly';
fprintf(fileID,fmt,text);
fclose(fileID);

end